<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('scoli', function (Blueprint $table) {
            $table->dropColumn('zile_motivare_absente');
            $table->unsignedTinyInteger('termen_motivare_zi')->default(10)->after('email');
        });
    }

    public function down(): void
    {
        Schema::table('scoli', function (Blueprint $table) {
            $table->dropColumn('termen_motivare_zi');
            $table->unsignedSmallInteger('zile_motivare_absente')->default(7)->after('email');
        });
    }
};
